Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.sprm
Class SprmOperation

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmOperation

    public final class SprmOperation

extends java.lang.Object

This class is used to represent a sprm operation from a Word 97/2000/XP document.

Version:
  1.0
Author:
  Ryan Ackley

Field Summary
`static int` | `PAP_TYPE`
`static int` | `TAP_TYPE`

Constructor Summary
`SprmOperation(byte[] grpprl, int offset)`

Method Summary
`byte[]` | `getGrpprl()`
`int` | `getGrpprlOffset()`
`int` | `getOperand()`
`int` | `getOperation()`
`static int` | `getOperationFromOpcode(short opcode)`
`int` | `getSizeCode()`
`int` | `getType()`
`static int` | `getTypeFromOpcode(short opcode)`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAP_TYPE

    public static final int PAP_TYPE

See Also:
  Constant Field Values

### TAP_TYPE

    public static final int TAP_TYPE

See Also:
  Constant Field Values

Constructor Detail

### SprmOperation

    public SprmOperation(byte[] grpprl,
                         int offset)

Method Detail

### getOperationFromOpcode

    public static int getOperationFromOpcode(short opcode)

### getTypeFromOpcode

    public static int getTypeFromOpcode(short opcode)

### getType

    public int getType()

### getOperation

    public int getOperation()

### getGrpprlOffset

    public int getGrpprlOffset()

### getOperand

    public int getOperand()

### getSizeCode

    public int getSizeCode()

### size

    public int size()

### getGrpprl

    public byte[] getGrpprl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD